backport-iwlwifi-dkms (1:0~95.13459-git5197300e-0ubuntu1) questing; urgency=medium

  * Migrate to upstream core95 release (LP: #2115945)
    - Drop upstreamed patches:
      - d/p/0017-backports-move-asm-unaligned.h-to-linux-unaligned.h.patch
      - d/p/backports-make-sure-KUNIT_STATIC_STUB_REDIRECT-is-de.patch
      - d/p/backports-pcie-fixes-for-PCI-mappings.patch
    - Refresh patches:
      - d/p/backports-correct-version-range-for-dma-mapping-help.patch
      - d/p/backports-correct-version-range-for-scatterlist-help.patch
      - d/p/backports-remove-include-linux-min-max.h.patch
    - Fix build against v6.16
      - d/p/backports-use-timer_container_of-instead-of-from_timer.patch
      - d/p/wifi-free-SKBTX_WIFI_STATUS-skb-tx_flags-flag.patch
    - debian: dkms: bump OBSOLETE_BY to 6.16

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 04 Jul 2025 15:00:31 +0800

backport-iwlwifi-dkms (1:0~94.13342-git452193f7-0ubuntu1~sru.4) questing; urgency=medium

  [You-Sheng Yang]

  * Migrate to upstream core94 release (LP: #2102121)
    - Fix build against v6.15
      - d/p/backports-use-vanilla-linux-cleanup.h-if-available.patch
      - d/p/wifi-nl80211-cfg80211-Stop-supporting-cooked-monitor.patch
      - d/p/wifi-mac80211-Drop-cooked-monitor-support.patch
      - d/p/backports-net-rename-netns_local-to-netns_immutable.patch
      - d/p/backports-switch-to-timer_delete-_sync.patch
    - backports: support lock guards as possible
    - Drop upstreamed patches:
      d/p/backports-convert-symbol-namespace-names-to-string-l.patch and
      d/p/backports-drop-use-of-pcim_iomap_regions_request_all.patch
    - Refresh patches:
      - d/p/0017-backports-move-asm-unaligned.h-to-linux-unaligned.h.patch:
        mostly upstreamed, but upstream uses wrong kernel version
      - d/p/0018-backports-genetlink-hold-RCU-in-genlmsg_mcast.patch:
        partially upstreamed
      - d/p/backports-pcie-fixes-for-PCI-mappings.patch: the diff snippet
        accidentally committed to a previous patch now restored to the right
        patch
    - debian: dkms: bump OBSOLETE_BY to 6.15

  * debian: don't use LINUX_VERSION_SUBLEVEL as it's only available since
    v5.12.
    - d/p/configure-detect-genlmsg_multicast_allns-ABI.patch
    - d/p/backports-timers-Rename-del_timer-_sync.patch
    - d/p/configure-detect-timer_delete_sync-API.patch

  * Fix build against v5.4.291+
    - d/p/configure-detect-tasklet_setup-API.patch

  * Fix build against v4.15.x
    - d/p/backports-add-pci_info-pci_err-if-not-defined.patch

  * Fix build against [v4.19.255, v4.19.291)
    - d/p/configure-detect-eth_hw_addr_set-API.patch

  * Fix lintian warning old-fsf-address-in-copyright-file

  * Document source package generation and add tag-upstream script

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 12 Mar 2025 22:47:38 +0800

backport-iwlwifi-dkms (1:0~93.12955-gite723a6f0-0ubuntu1) plucky; urgency=medium

  [You-Sheng Yang]

  * Migrate to upstream core93 release (LP: #2098677)
    - Drop upstreamed patches
      0015-backports-tree-wide-finally-take-no_llseek-out.patch and
      0016-backports-netdev_features-convert-NETIF_F_NETNS_LOCA.patch
    - debian: dkms: bump OBSOLETE_BY to 6.14

  * Failed to build against v6.13 (LP: #2095140)
    - d/p/backport-drop-use-of-pcim_iomap_regions_request_all.patch
    - d/p/backports-pcie-fixes-for-PCI-mappings.patch
    - d/p/backports-convert-symbol-namespace-names-to-string-l.patch

  * Failed to build against linux-6.14: error: implicit declaration of
    function 'debugfs_rename'; did you mean 'debugfs_remove'? (LP: #2098687)
    - d/p/backports-accommodate-to-API-rename-of-debugfs_rename.patch

  * Failed to build against linux-generic 6.8 with stable backports
    (LP: #2095138)
    - sync genlmsg_multicast_allns impl. a bit from upstream
    - d/p/configure-add-m4-macros-for-kernel-feature-detection.patch
    - d/p/configure-add-basic-files-for-build-time-configure.patch
    - d/p/configure-detect-genlmsg_multicast_allns-ABI.patch
    - debian: update rules/control/install/... to support files for build
      time configure script.

  * Failed to build against 6.1.0-1036-oem, 5.15.0-43-generic (LP: #2083481)
    - d/p/configure-detect-timer_shutdown-_sync-API.patch
    - d/p/backports-timers-Rename-del_timer-_sync.patch
    - d/p/configure-detect-timer_delete_sync-API.patch

  * Accumulative fixes for build failures against previous stable kernel
    releases (LP: #2095143)
    - d/p/backports-make-sure-KUNIT_STATIC_STUB_REDIRECT-is-de.patch
    - d/p/backports-include-linux-slab.h-for-kvmalloc.patch
    - d/p/backports-remove-include-linux-min-max.h.patch
    - d/p/backports-correct-version-range-for-dma-mapping-help.patch
    - d/p/backports-correct-version-range-for-scatterlist-help.patch
    - d/p/backports-include-linux-kernel.h-before-linux-overflow.h.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 17 Feb 2025 22:43:58 +0800

backport-iwlwifi-dkms (1:0~91.12629-gite112ecce-0ubuntu1) plucky; urgency=low

  [You-Sheng Yang]

  * Migrate to upstream core91 release (LP: #2085453)
    - debian: refresh patches

  * Fix build against v6.12-rc2 (LP: #2083994)
    - backport: [tree-wide] finally take no_llseek out
    - backports: netdev_features: convert NETIF_F_NETNS_LOCAL to
      dev->netns_local
    - backports: move asm/unaligned.h to linux/unaligned.h
    - backports: genetlink: hold RCU in genlmsg_mcast()

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 24 Oct 2024 01:58:56 +0800

backport-iwlwifi-dkms (1:0~89.12325-git36c5be1a-0ubuntu1) oracular; urgency=low

  [You-Sheng Yang]
  * Migrate to upstream core89 release (LP: #2075132)
    - debian: refresh patches
  * backport: thermal: trip: Pass trip pointer to .set_trip_temp() thermal
    zone callback (LP: #2076261)
  * debian: drop --with dkms from rules

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 30 Jul 2024 15:21:38 +0800

backport-iwlwifi-dkms (1:0~88.12113-gitd7d581b7-0ubuntu1) oracular; urgency=low

  [You-Sheng Yang]
  * Migrate to upstream core88 release (LP: #2046871)
    - add debian epoch for version scheme migration
  * debian: dkms: bump OBSOLETE_BY to 6.11
  * Fix build against kernel v6.10
    - UBUNTU: SAUCE: backports: PCI_IRQ_LEGACY obsoleted, use PCI_IRQ_INTX
      instead
    - backport: fix args change in thermal_zone_device_register_with_trips
    - backport: remove second parameter of __assign_str()

 -- You-Sheng Yang <vicamo@gmail.com>  Sat, 29 Jun 2024 15:31:10 +0800

backport-iwlwifi-dkms (11510-0ubuntu1) noble; urgency=low

  [You-Sheng Yang]
  * New release
    - upstream version 11510 commit 41e354fb5f32f. (LP: #2042059)
    - debian: refresh patches
  * dkms: bump OBSOLETE_BY version to v6.7.0

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 31 Oct 2023 14:39:23 +0800

backport-iwlwifi-dkms (11289-0ubuntu1) mantic; urgency=low

  [You-Sheng Yang]
  * New release
    - upstream version 11289 commit 1a5d2ea7a5eb8. (LP: #2015992)
    - debian: refresh patches
  * Bump OBSOLETE_BY version to v6.5.0
  * drop exact-cc.patch
  * Fix build against v6.5-rc1
    - UBUNTU: SAUCE: backport: fix led_trigger_blink_oneshot
    - UBUNTU: SAUCE: backport: wrap net/gso.h
  * UBUNTU: SAUCE: wifi: iwlwifi: fix build against !CONFIG_ACPI

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 01 May 2023 20:33:39 +0800

backport-iwlwifi-dkms (11120-0ubuntu1) mantic; urgency=low

  [You-Sheng Yang]
  * New release
    - upstream version 11120 commit 5ccb75c05e946. (LP: #2015992)
    - debian: refresh patches
  * Bump OBSOLETE_BY version to v6.4.0
  * drop exact-cc.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 01 May 2023 20:33:39 +0800

backport-iwlwifi-dkms (9904-0ubuntu5) lunar; urgency=medium

  * Support Linux 6.2 (LP: #2009404)
    - d/p/0021-support-linux-6.2.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Mon, 06 Mar 2023 08:22:55 +0000

backport-iwlwifi-dkms (9904-0ubuntu4) lunar; urgency=medium

  * Refer to common license file for Apache-2.0.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Update standards version to 4.6.0, no changes needed.
  * Merge-in already merged changes from Andrei with rich history upload.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 27 Feb 2023 10:56:27 +0000

backport-iwlwifi-dkms (9904-0ubuntu3.4) lunar; urgency=medium

  * Add dh-sequence-dkms build-depends.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 20 Feb 2023 21:01:27 +0000

backport-iwlwifi-dkms (9904-0ubuntu3.3) lunar; urgency=medium

  * backport-iwlwifi-dkms.dkms.in: Avoid building when kernel config deps
    are not satisfied (LP: #2007151)

 -- Andrei Gherzan <andrei.gherzan@canonical.com>  Mon, 13 Feb 2023 14:39:19 +0000

backport-iwlwifi-dkms (9904-0ubuntu3.2) lunar; urgency=medium

  * Support linux 6.1 (LP: #2003808):
    - d/p/0020-support-linux-6.1.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 24 Jan 2023 17:15:13 +0000

backport-iwlwifi-dkms (9904-0ubuntu3.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: Multiple security issues
    - debian/patches/0001-UBUNTU-SAUCE-wifi-cfg80211-fix-u8-overflow-in-cfg802.patc
    - debian/patches/0002-UBUNTU-SAUCE-wifi-cfg80211-mac80211-reject-bad-MBSSI.patch
    - debian/patches/0003-UBUNTU-SAUCE-wifi-mac80211-fix-MBSSID-parsing-use-af.patch
    - debian/patches/0004-UBUNTU-SAUCE-wifi-cfg80211-ensure-length-byte-is-pre.patch
    - debian/patches/0001-cfg80211-hold-bss_lock-while-updating-nontrans_list.patch
    - debian/patches/0005-UBUNTU-SAUCE-wifi-cfg80211-fix-BSS-refcounting-bugs.patch
    - debian/patches/0006-UBUNTU-SAUCE-wifi-cfg80211-avoid-nontransmitted-BSS-.patch
    - debian/patches/0007-UBUNTU-SAUCE-wifi-mac80211_hwsim-avoid-mac80211-warn.patch
    - debian/patches/0008-UBUNTU-SAUCE-wifi-mac80211-fix-crash-in-beacon-prote.patch
    - debian/patches/0009-UBUNTU-SAUCE-wifi-cfg80211-update-hidden-BSSes-to-av.patch
      related to bug (LP: #1994525).
    - CVE-2022-41674
    - CVE-2022-42719
    - CVE-2022-42720
    - CVE-2022-42721
    - CVE-2022-42722

 -- Thadeu Lima de Souza Cascardo <cascardo@canonical.com>  Mon, 24 Oct 2022 15:19:51 -0300

backport-iwlwifi-dkms (9904-0ubuntu3) kinetic; urgency=medium

  * Preserve CC setting in the make wrapper script, to ensure module can
    be built correctly with the kernel's custom compiler. Fixes FTBFS in
    hwe-5.19 build. LP: #1991664

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 06 Oct 2022 12:52:22 +0100

backport-iwlwifi-dkms (9904-0ubuntu2) kinetic; urgency=low

  [ You-Sheng Yang ]
  * Disable IWLMEI (LP: #1987312)

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 24 Aug 2022 21:39:38 +0800

backport-iwlwifi-dkms (9904-0ubuntu1) kinetic; urgency=low

  [ You-Sheng Yang ]
  * New release
    - upstream version 9904 commit 0e43e07a9c3762.
    - debian: refresh patches

  [You-Sheng Yang]
  * Fix build against kernel >= 6.x (LP: #1987048)
    - make: allow kernel >= 6.x
    - iwlwifi: Switch to proper EFI variable store interface

  [ Dimitri John Ledkov ]
  * Bump OBSOLETED_BY to v6.1.0

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 19 Aug 2022 12:36:00 +0800

backport-iwlwifi-dkms (9858-0ubuntu6) kinetic; urgency=medium

  [ You-Sheng Yang ]
  * install iwlmei when compiled against kernel >= 5.17. (LP: #1975573)

  * compat: rename built module to iwlwifi-compat.ko (LP: #1975593)

  [ Dimitri John Ledkov ]
  * dkms: bump obsoleted by to 5.20.0 kernel
  * backport: patch backport headers to support CFI (LP: #1980484)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 11 Jul 2022 16:46:24 +0100

backport-iwlwifi-dkms (9858-0ubuntu5) kinetic; urgency=medium

  * Revert
    0005-Makefile.kernel-pass-fno-stack-clash-protection-and-.patch, it
    has been reverted in the upstream kernel and we now need to enable
    cf-protection for IBT as well. See
    https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=20bf2b378729c4a0366a53e2018a0b70ace94bcd
    and then subsequent CET patches.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 16 Jun 2022 13:19:31 +0100

backport-iwlwifi-dkms (9858-0ubuntu4) kinetic; urgency=medium

  * Fix FTBFS against v5.18-rc3. (LP: #1970777)

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 29 Apr 2022 00:47:55 +0800

backport-iwlwifi-dkms (9858-0ubuntu3) jammy; urgency=medium

  * Fix FTBFS dkms module during kernel builds with a non-default
    kernelsourcedir location by respecting kernelsourcedir in dkms.conf
    (LP: #1969434)

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 19 Apr 2022 17:20:09 +0800

backport-iwlwifi-dkms (9858-0ubuntu2) jammy; urgency=medium

  * Bump OBSOLETE_BY to v5.19, as this version of the module is suitable
    to be used with v5.17/v5.18 kernels now.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 05 Apr 2022 15:56:56 +0100

backport-iwlwifi-dkms (9858-0ubuntu1) jammy; urgency=low

  * New release (LP: #1966627)
    - upstream version 9858 commit d0c7cb83a3772e.

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 25 Mar 2022 19:27:00 +0800

backport-iwlwifi-dkms (9580-0ubuntu1) jammy; urgency=low

  * New release (LP: #1962704)
    - refresh patches.
    - upstream version 9580 commit a0a813b1546992.

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 02 Mar 2022 14:57:14 +0800

backport-iwlwifi-dkms (9340-0ubuntu5) jammy; urgency=medium

  [ Andrea Righi ]
  * Fix build error with Linux 5.15 (LP: #1951580)

  [ Dimitri John Ledkov ]
  * Bump obsoleted by to Linux 5.16

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 19 Nov 2021 11:59:00 +0000

backport-iwlwifi-dkms (9340-0ubuntu4) impish; urgency=medium

  * Bump OBSOLETE_BY from v5.4 to v5.14, as this is a much newer snapshot
    than stuff that has shipped in v5.13. LP: #1932158

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 29 Jul 2021 15:47:52 +0100

backport-iwlwifi-dkms (9340-0ubuntu3) impish; urgency=medium

  * Switch to dkms-autopkgtest from dkms package. (LP: #1932158)

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Mon, 19 Jul 2021 22:29:10 +0800

backport-iwlwifi-dkms (9340-0ubuntu1) impish; urgency=low

  * New release
    - upstream version 9340 commit c5c6a05cf2b59e. (LP: #1929180)

  * ci: avoid duplicated pipelines

  * debian/patches:
    - update 0005-Makefile.kernel-pass-fno-stack-clash-protection-and-.patch
    - drop 0006-backport-address-interface-change-in-linux-skbuff.h-.patch
    - drop 0007-backport-netlink-remove-NLA_EXACT_LEN_WARN.patch
    - drop 0008-Linux-5.10-redefine-kzfree-as-kfree_sensitive.patch
    - drop 0009-Linux-5.10-use-NLA_POLICY_MIN_LEN.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 21 Jun 2021 18:23:36 +0800

backport-iwlwifi-dkms (8613-0ubuntu2) hirsute; urgency=medium

  * Linux 5.10 compatibility fixes

 -- Paolo Pisati <paolo.pisati@canonical.com>  Thu, 05 Nov 2020 10:37:38 +0000

backport-iwlwifi-dkms (8613-0ubuntu1) groovy; urgency=low

  * New release
    - upstream version 8613 commit 7db018c8995975. (LP: #1884634)
    - update debian/backport-iwlwifi-dkms.modaliases.

  * debian/patches:
    - Update 0006-backport-address-interface-change-in-linux-skbuff.h-.patch
    - Add 0007-backport-netlink-remove-NLA_EXACT_LEN_WARN.patch

 -- You-Sheng Yang <vicamo@gmail.com>  Tue, 23 Jun 2020 18:54:42 +0800

backport-iwlwifi-dkms (8324-0ubuntu3) groovy; urgency=medium

  * autopkgtest: fix autopkgtest runs on after OBSOLETE_BY=5.4.0.

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 01 Jun 2020 16:58:28 +0800

backport-iwlwifi-dkms (8324-0ubuntu2) groovy; urgency=medium

  * dkms: add OBSOLETE_BY=5.4.0 (LP: #1863583)
  * debian: drop modaliases support (LP: #1869587)

 -- You-Sheng Yang <vicamo@gmail.com>  Fri, 15 May 2020 16:28:22 +0800

backport-iwlwifi-dkms (8324-0ubuntu1) focal; urgency=low

  * New release
    - upstream version 8324 commit 5aa9fb548df6af.
    - update debian/backport-iwlwifi-dkms.modaliases.

 -- You-Sheng Yang <vicamo@gmail.com>  Mon, 13 Jan 2020 11:28:16 +0800

backport-iwlwifi-dkms (8292-0ubuntu1) focal; urgency=low

  * New release
    - upstream version 8292 commit cb9dfa2c338816.

 -- You-Sheng Yang <vicamo@gmail.com>  Thu, 09 Jan 2020 03:15:48 +0000

backport-iwlwifi-dkms (8286-0ubuntu1) focal; urgency=low

  * New release
    - upstream version 8286 commit 26271a73a63d24.

  * debian/patches:
    - Update 0006-backport-address-interface-change-in-linux-skbuff.h-.patch
    - Drop 0003-backport-apply-__copy-to-init_module-cleanup_module.patch
    - Drop 0007-backport-don-t-include-linux-pci-aspm.h-on-kernel-v5..patch
  * Update debian/backport-iwlwifi-dkms.modaliases

 -- You-Sheng Yang <vicamo@gmail.com>  Wed, 18 Dec 2019 19:43:25 +0800

backport-iwlwifi-dkms (8042-0ubuntu3) focal; urgency=medium

  * debian/patches/0007-backport-don-t-include-linux-pci-aspm.h-on-kernel-v5..patch
    - Fix build on Focal v5.4 kernels. (LP: #1856184)

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Fri, 13 Dec 2019 09:06:45 +0000

backport-iwlwifi-dkms (8042-0ubuntu2) focal; urgency=critical

  * debian/gbp.conf, debian/gitlab-ci.yml
    - update series to focal
  * debian/patches/0006-backport-address-interface-change-in-linux-skbuff.h-.patch
    - Fix system hang on connecting to WiFi base station. (LP: #1855825)

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Wed, 11 Dec 2019 16:20:39 +0800

backport-iwlwifi-dkms (8042-0ubuntu1) focal; urgency=low

  * New upstream release.
  * debian/patches/0006-NOUPSTREAM-backport-rename-ktime_get_boot_ns-for-v5..patch
    - Already carried in upstream. Drop.

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Tue, 29 Oct 2019 18:48:50 +0800

backport-iwlwifi-dkms (7906-0ubuntu2) focal; urgency=low

  * debian/patches/0006-NOUPSTREAM-backport-rename-ktime_get_boot_ns-for-v5..patch
    - fix build against v5.3. (LP: #1848922)
  * debian/patches/0005-Makefile.kernel-pass-fno-stack-clash-protection-and-.patch
    - add -fcf-protection=none when using retpoline flags. (LP: #1830961)
    - drop -fno-stack-clash-protection for it's no longer necessary.

 -- You-Sheng Yang <vicamo.yang@canonical.com>  Mon, 21 Oct 2019 20:22:27 +0800

backport-iwlwifi-dkms (7906-0ubuntu1) eoan; urgency=low

  * Initial release (LP: #1835858)

 -- You-Sheng Yang <vicamo@gmail.com>  Sun, 28 Jul 2019 11:13:27 +0800
